Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.lookup.entry
Class ServiceInfoBean

    java.lang.Object
      net.jini.lookup.entry.ServiceInfoBean

All Implemented Interfaces:
  EntryBean, Serializable

public class ServiceInfoBean
extends Object
implements EntryBean, Serializable

A JavaBeans(TM) component that encapsulates a ServiceInfo object.

See Also:
  `ServiceInfo`, Serialized Form

Field Summary
`protected ServiceInfo` | `assoc` The ServiceInfo object associated with this JavaBeans component.

Constructor Summary
`ServiceInfoBean()` Construct a new JavaBeans component, linked to a new empty ServiceInfo object.

Method Summary
`Entry` | `followLink()` Return the Entry linked to by this JavaBeans component.
`String` | `getManufacturer()` Return the value of the manufacturer field in the ServiceInfo object linked to by this JavaBeans component.
`String` | `getModel()` Return the value of the model field in the ServiceInfo object linked to by this JavaBeans component.
`String` | `getName()` Return the value of the name field in the ServiceInfo object linked to by this JavaBeans component.
`String` | `getSerialNumber()` Return the value of the serialNumber field in the ServiceInfo object linked to by this JavaBeans component.
`String` | `getVendor()` Return the value of the vendor field in the ServiceInfo object linked to by this JavaBeans component.
`String` | `getVersion()` Return the value of the version field in the ServiceInfo object linked to by this JavaBeans component.
`void` | `makeLink(Entry e)` Make a link to an Entry object.
`void` | `setManufacturer(String x)` Set the value of the manufacturer field in the ServiceInfo object linked to by this JavaBeans component.
`void` | `setModel(String x)` Set the value of the model field in the ServiceInfo object linked to by this JavaBeans component.
`void` | `setName(String x)` Set the value of the name field in the ServiceInfo object linked to by this JavaBeans component.
`void` | `setSerialNumber(String x)` Set the value of the serialNumber field in the ServiceInfo object linked to by this JavaBeans component.
`void` | `setVendor(String x)` Set the value of the vendor field in the ServiceInfo object linked to by this JavaBeans component.
`void` | `setVersion(String x)` Set the value of the version field in the ServiceInfo object linked to by this JavaBeans component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### assoc

    protected ServiceInfo assoc

  The ServiceInfo object associated with this JavaBeans component.

Constructor Detail

### ServiceInfoBean

    public ServiceInfoBean()

  Construct a new JavaBeans component, linked to a new empty ServiceInfo object.

Method Detail

### makeLink

    public void makeLink(Entry e)

  Make a link to an Entry object.

  Specified by:
    `makeLink` in interface `EntryBean`
  Parameters:
    `e` - the Entry object to link to
  Throws:
    `ClassCastException` - the Entry is not of the correct type for this JavaBeans component

### followLink

    public Entry followLink()

  Return the Entry linked to by this JavaBeans component.

  Specified by:
    `followLink` in interface `EntryBean`
  Returns:
    the entry linked to by this JavaBeans component.

### getName

    public String getName()

  Return the value of the name field in the ServiceInfo object linked to by this JavaBeans component.

  Returns:
    a String representing the name value
  See Also:
    `setName(java.lang.String)`

### setName

    public void setName(String x)

  Set the value of the name field in the ServiceInfo object linked to by this JavaBeans component.

  Parameters:
    `x` - a String specifying the name value
  See Also:
    `getName()`

### getManufacturer

    public String getManufacturer()

  Return the value of the manufacturer field in the ServiceInfo object linked to by this JavaBeans component.

  Returns:
    a String representing the manufacturer value
  See Also:
    `setManufacturer(java.lang.String)`

### setManufacturer

    public void setManufacturer(String x)

  Set the value of the manufacturer field in the ServiceInfo object linked to by this JavaBeans component.

  Parameters:
    `x` - a String specifying the manufacturer value
  See Also:
    `getManufacturer()`

### getVendor

    public String getVendor()

  Return the value of the vendor field in the ServiceInfo object linked to by this JavaBeans component.

  Returns:
    a String representing the vendor value
  See Also:
    `setVendor(java.lang.String)`

### setVendor

    public void setVendor(String x)

  Set the value of the vendor field in the ServiceInfo object linked to by this JavaBeans component.

  Parameters:
    `x` - a String specifying the vendor value
  See Also:
    `getVendor()`

### getVersion

    public String getVersion()

  Return the value of the version field in the ServiceInfo object linked to by this JavaBeans component.

  Returns:
    a String representing the version value
  See Also:
    `setVersion(java.lang.String)`

### setVersion

    public void setVersion(String x)

  Set the value of the version field in the ServiceInfo object linked to by this JavaBeans component.

  Parameters:
    `x` - a String specifying the version value
  See Also:
    `getVersion()`

### getModel

    public String getModel()

  Return the value of the model field in the ServiceInfo object linked to by this JavaBeans component.

  Returns:
    a String representing the model value
  See Also:
    `setModel(java.lang.String)`

### setModel

    public void setModel(String x)

  Set the value of the model field in the ServiceInfo object linked to by this JavaBeans component.

  Parameters:
    `x` - a String specifying the model value
  See Also:
    `getModel()`

### getSerialNumber

    public String getSerialNumber()

  Return the value of the serialNumber field in the ServiceInfo object linked to by this JavaBeans component.

  Returns:
    a String representing the serial number
  See Also:
    `setSerialNumber(java.lang.String)`

### setSerialNumber

    public void setSerialNumber(String x)

  Set the value of the serialNumber field in the ServiceInfo object linked to by this JavaBeans component.

  Parameters:
    `x` - a String specifying the serial number
  See Also:
    `getSerialNumber()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved